{% extends "template.html" %}
{% block content %}
{% load static %}
	{% block title %}My Experiences{% endblock %}
	<main>
		<section class="py-5">
		<!-- Button trigger modal -->
		<button type="button" id="openDialog" class="btn btn-primary mb-3" data-toggle="modal" data-target="#modalForm">
			<i class="fa fa-plus mr-2" aria-hidden="true"></i>
			Add Schedule
		</button>

		<!-- Modal -->
		<div class="modal fade" id="modalForm" tabindex="-1" role="dialog" aria-labelledby="modalForm" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="modalFormTitle">Create Schedule</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<form method="POST" action="{% url 'schedule:create_schedule' %}">
					<div class="modal-body">
						{% csrf_token %}
							{% for question in SchedulesForm %}
								{% if question.field.widget.input_type == "text" %}
									<div class="md-form form-group">
										<label for="{{question.id_for_label}}">{{question.label}}</label>
										{{question}}
										{% if question.errors %}
											{{question.errors}}
										{% endif %}
									</div>
								{% else %}
									<div class="form-group">
										<label id="{{question.id_for_label}}">{{question.label}}</label>
										{{question}}
										{% if question.errors %}
											{{question.errors}}
										{% endif %}
									</div>
								{% endif %}
							{% endfor %}
					</div>
					<div class="modal-footer">
						<div class="form-group">
								<button type="submit" class="btn btn-primary">Create</button>
						</div>
					</div>
				</form>
			</div>
		</div>
		</div>
			{% if schedules %}
				<div class = "table-responsive">
					<table class="table">
						<thead class="grey lighten-2">
							<tr>
							<th scope="col">No</th>
							<th scope="col">Activity</th>
							<th scope="col">Day</th>
							<th scope="col">Date</th>
							<th scope="col">Start</th>
							<th scope="col">End</th>
							<th scope="col">Location</th>
							<th scope="col">Category</th>
							<th scope="col">Finish It!!</th>
							</tr>
						</thead>
						<tbody>
							{% for data in schedules %}
								<tr>
									<th scope="row">{{forloop.counter}}</th>
									<td>{{data.activity_name}}</td>
									<td>{{data.day}}</td>
									<td>{{data.date}}</td>
									<td>{{data.start_activity_time}}</td>
									<td>{{data.end_activity_time}}</td>
									<td>{{data.location}}</td>
									<td>{{data.category}}</td>
									<td class = "p-0">
									<form action="{% url 'schedule:delete_schedule' data.id %}">
										<button type="submit" class="btn btn-danger">
											<i class="fa fa-trash" aria-hidden="true"></i>
										</button>
									</form>
									</a>
									</td>
								</tr>
							{% endfor %}
						</tbody>
					</table>
				</div>
			{% else %}
				<h1 class="h1-responsive wow bounce text-center m-5">There is No Activity</h1>	
			{% endif %}
		</section>	
	</main>
	{% block script %}
		<script>
			var response = "{{ isFilled }}"
			if (response.length){
				$("#modalForm").modal()
			}
		</script>
	{% endblock script %}

{% endblock content %}